﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    var clientData = Model.ClientLoginData.ClientData;
    var spouseData = Model.ClientLoginData.SpouseData;
    var businessLogoImage = Model.BusinessLogoImage;
    var adviserData = Model.ClientLoginData.UserLogin?.UserData;
    var adviser = Model.ClientLoginData.UserLogin;
    var adviserBusinessContact = adviser.AdviserContactInfos.FirstOrDefault(m => m.AddressType == AddressTypeEnum.Business);
    var phones = !string.IsNullOrEmpty(adviserBusinessContact?.Phone) && !string.IsNullOrEmpty(adviserBusinessContact?.CellNumber) ? $"{adviserBusinessContact?.Phone}, {adviserBusinessContact?.CellNumber}" : !string.IsNullOrEmpty(adviserBusinessContact?.Phone) ? adviserBusinessContact?.Phone : adviserBusinessContact?.CellNumber;
    bool isMarried = clientData.MaritalStatus == MaritalStatusEnum.Married && spouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    var clientContact = Model.ClientLoginData.ClientContactInfo;
    var clientStateCityZip = $"{clientContact?.City}, {clientContact?.State} {clientContact?.ZipCode}";
    var tagline = adviserData.Tagline;
    var RIADisclosure = adviserData.RIADisclosure;
}
<div style="margin-bottom:30px;text-align:right;padding-left:50px;padding-right:50px;height:100px">
    @if (!string.IsNullOrEmpty(businessLogoImage))
    {
        <img src="@businessLogoImage" height="100" />
    }
</div>
<div id="cover-page" style="position:relative" class="d-flex align-items-center justify-content-center">
    <img src="~/images/LAP_My_Personal_Canvas_Cover_Sheet_TEMPLATE.jpg" width="1050" />
    <div id="cover-page-title">MY PERSONAL CANVAS</div>
</div>
<div style="padding-left:50px;padding-right:50px">
    <div style="width: 100%; display: table;font-size:20px;line-height:1.2;margin-top:30px;height:230px">
        <div style="display: table-row">
            <div style="width: 450px; display: table-cell;">
                <div style="font-weight:500">Prepared By:</div>
                <div>@adviserData.BusinessName</div>
                <div>@adviserData.Name</div>
                <div>@Model.ClientLoginData.UserLogin.Username</div>
                <div style="margin-top:10px">@adviserBusinessContact?.Address</div>
                <div>@adviserBusinessContact?.Address2</div>
                @if (!string.IsNullOrEmpty(adviserBusinessContact?.ZipCode))
                {
                    var businessStateCityZip = $"{adviserBusinessContact?.City}, {adviserBusinessContact?.State} {adviserBusinessContact?.ZipCode}";
                    <div>@businessStateCityZip</div>
                }
                @if (!string.IsNullOrEmpty(phones))
                {
                    <div>@phones</div>
                }
            </div>
            <div style="display: table-cell;">
                <div style="font-weight:500">Prepared For:</div>
                <div>@clientData.Name</div>
                @if (isMarried)
                {
                    <div>@spouseData.Name</div>
                }
                <div style="margin-top:10px">@clientContact?.Address</div>
                <div>@clientContact?.Address2</div>
                @if (!string.IsNullOrEmpty(clientContact?.ZipCode))
                {
                    <div>@clientStateCityZip</div>
                }
                <div>@clientContact?.Phone</div>
                <div>@Model.ClientLoginData.Username</div>
                @if (isMarried)
                {
                    <div>@clientContact?.SpouseEmail</div>
                }
            </div>
        </div>
    </div>
    <div style="height:50px;font-weight:400;font-size:18px;" class="text-navi">
        @if (!string.IsNullOrEmpty(tagline))
        {
            <i>@tagline</i>
        }
    </div>
    <div class="disclosure">
        @if (!string.IsNullOrEmpty(RIADisclosure))
        {
            <p style="height:70px;margin-top:10px;">
                @RIADisclosure
            </p>
        }
        <p style="height:70px;">
            This My Personal Canvas report is compiled from information you have furnished in the LifeArcPlan™ survey.
            We make no representations or warranties as to the accuracy, timeliness, suitability, completeness, or
            relevance of such information. LifeArcPlan™, provider of this My Personal Canvas report, cannot be
            held liable for any errors or omissions. This My Personal Canvas report is provided for educational
            purposes only and you should be guided accordingly.
        </p>
    </div>
    <div style="text-align:right;">
        <span class="text-navi" style="font-size:18px"><i>Powered by</i></span>
        <img src="~/images/report/LAP-logo-cover.png" height="35" style="vertical-align: sub;">
    </div>
</div>